Skip to main content
GET
Get Risk Assessment

Authorizations

Authorization
string
header
required

The API key to authenticate requests. Obtainable from the web dashboard.

Path Parameters

riskAssessmentId
string<uuid>
required

The ID returned when the risk assessment was created. The ID of a resource that can be retrieved from the service.

Response

OK - The current status and available result

id
string<uuid>
required

The ID of a resource that can be retrieved from the service.

status
enum<string>
required

The status of an asynchronous run. Poll while processing. Complete and failed are terminal states.

Available options:
processing,
complete,
failed
Example:

"processing"

gitHeadSha
string
required

The head commit SHA analyzed by this risk assessment.

Example:

"8a1b2c3d4e5f678901234567890123456789abcd"

gitBaseSha
string
required

The base commit SHA analyzed by this risk assessment.

Example:

"7a1b2c3d4e5f678901234567890123456789abcd"

error
string

An error message present when status is failed; omitted otherwise.

Example:

"Unable to retrieve the pull request diff."

score
enum<string>

The assessed risk level, present when status is complete; omitted otherwise.

Available options:
lowest,
low,
medium,
high,
highest
Example:

"low"

rationale
string

The explanation of the risk score in Markdown, present when status is complete; omitted otherwise.

Example:

"The change is limited to a well-tested validation path."